[GFSD Issue] Package cia-clients contains a script that is useful only with non-free software (bitkeeper)

Projet:Trisquel
Version:6.0
Composant:Programs
Catégorie:Rapporter un bogue
Priorité:blocking
Attribué:Non assigné
Statut:closed
Description

Summary: Source package cia-clients contains a script that is only useful with non-free software (bitkeeper)

Versions Used:

Steps to reproduce:

  • Download the source code for package: Here
  • Unpack/untar the source code and navigate to: cia-clients-20110719/scripts/ciabot_bk.sh
  • License header states:

# CIA bot client script for BitKeeper repositories, delivering via email
with CIA bots being defined as:
CIA can send an IRC bot to your channel to instantly report the progress made by you and your peers
implying (I don't use nonfree software so I am not going to test it) what this script does is whenever a user makes a change on a bitkeeper repository it sends an email notification to users who are interested. Thus this script is only useful if a user installs nonfree software to use it. This is just implicitly recommending nonfree software.

References:

mar, 10/30/2012 - 18:49
Titre:package cia-clients contains a script that is useful only with non-free software (bitkeeper)» [GFSD Issue] Package cia-clients contains a script that is useful only with non-free software (bitkeeper)
ven, 12/21/2012 - 09:56
mer, 02/06/2013 - 19:25
Priorité:critical» blocking
Sam, 02/09/2013 - 23:39
Version:» 6.0

This package should be removed, since the service is down: http://cia.vc/

ven, 01/09/2015 - 01:27
Statut:active» patch (ready)

Merge request created

ven, 01/09/2015 - 03:35
Statut:patch (ready)» fixed
ven, 01/23/2015 - 03:40
Statut:fixed» closed

Automatically closed -- issue fixed for 2 weeks with no activity.